Subject: Bug in display-buffer-reuse-frames [was Re: bug#7865: 24.0.50; doc of display-buffer-reuse-frames]

From: Chong Yidong <[email-masked]>
Date: Sat, 12 Feb 2011 16:10:20 -0500

"Drew Adams" <[email-masked]> writes:

> This option is used in only `display-buffer', in a test that is
> essentially (or pop-up-frames display-buffer-reuse-frames ...)
>
> That means that this option has no effect if `pop-up-frames' is
> non-nil.

I think this is actually a bug.  Doing `C-x b' with non-nil
display-buffer-reuse-frames should make Emacs raise another frame if
it;s already displaying the desired buffer---regardless of the value of
pop-up-frames.

Currently, if display-buffer-reuse-frames and pop-up-frames are both t,
`C-x b' instead displays the buffer in the existing frame.  So
`pop-up-frames' has changed the behavior, even though it's not doing any
"popping up" in this case.